//------------------------------------------------------------------------------
// Copyright (c) 2005, 2006 IBM Corporation and others.
// All rights reserved. This program and the accompanying materials
// are made available under the terms of the Eclipse Public License v1.0
// which accompanies this distribution, and is available at
// http://www.eclipse.org/legal/epl-v10.html
//
// Contributors:
// IBM Corporation - initial implementation
//------------------------------------------------------------------------------
package org.eclipse.epf.authoring.ui.editors;

/**
 * @author Phong Nguyen Le
 * @since 1.0
 */
public interface IEditorKeeper {

	public static class Reference {
		private IEditorKeeper editorKeeper;

		private Reference() {

		}

		public void setEditorKeeper(IEditorKeeper editorKeeper) {
			this.editorKeeper = editorKeeper;
		}

		public IEditorKeeper getEditorKeeper() {
			return editorKeeper;
		}
	}

	public static final Reference REFERENCE = new Reference();

	void openEditor(Object object);

	void closeEditorsOnDeletion(Object object);

}
